### Constructor

# Atk Relation new

#### Declaration [src]

    AtkRelation*
    atk_relation_new (
      AtkObject** targets,
      gint n_targets,
      AtkRelationType relationship
    )

#### Description [src]

Create a new relation for the specified key and the specified list of targets. See also atk_object_add_relationship().

#### Parameters

`targets`

  Type: An array of `AtkObject*`

  An array of pointers to `AtkObjects`.

  The length of the array is specified in the `n_targets` argument.
  The data is owned by the caller of the function.

`n_targets`

  Type: `gint`

  Number of `AtkObjects` pointed to by `targets`.

`relationship`

  Type: `AtkRelationType`

  An `AtkRelationType` with which to create the new `AtkRelation`.

#### Return value

Type: `AtkRelation`

A pointer to a new `AtkRelation`.

The caller of the function takes ownership of the data, and is responsible for freeing it.